Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.js.resource
Class ResourceServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.springframework.web.servlet.HttpServletBean
                  org.springframework.js.resource.ResourceServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.springframework.beans.factory.Aware, org.springframework.context.EnvironmentAware, org.springframework.core.env.EnvironmentCapable

Deprecated. Deprecated in favor of the new resource handling mechanism available in Spring 3.0.4. See the documentation on the custom mvc namespace, specifically the new resources element.

    public class ResourceServlet

extends org.springframework.web.servlet.HttpServletBean

Special resource servlet for efficiently resolving and rendering static resources from within a JAR file.

Author:
  Jeremy Grelle, Scott Andrews
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.web.servlet.HttpServletBean
`logger`

Constructor Summary
`ResourceServlet()` Deprecated.

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Deprecated.
`protected long` | `getLastModified(javax.servlet.http.HttpServletRequest request)` Deprecated.
`void` | `setAllowedResourcePaths(java.lang.String allowedResourcePaths)` Deprecated. Set allowed resources as an comma separated String of URL patterns, e.g.
`void` | `setCacheTimeout(int cacheTimeout)` Deprecated. Set the number of seconds resources should be cached by the client.
`void` | `setCompressedMimeTypes(java.lang.String compressedMimeTypes)` Deprecated. Set comma separated MIME types that should have gzip compression applied.
`void` | `setGzipEnabled(boolean gzipEnabled)` Deprecated. Set whether to apply gzip compression to resources if the requesting client supports it.
`void` | `setJarPathPrefix(java.lang.String jarPathPrefix)` Deprecated. Set the default path prefix to apply to resources being served from jar files.

Methods inherited from class org.springframework.web.servlet.HttpServletBean
`addRequiredProperty, createEnvironment, getEnvironment, getServletContext, getServletName, init, initBeanWrapper, initServletBean, setEnvironment`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceServlet

    public ResourceServlet()

  Deprecated.

Method Detail

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Deprecated.
  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getLastModified

    protected long getLastModified(javax.servlet.http.HttpServletRequest request)

  Deprecated.
  Overrides:
    `getLastModified` in class `javax.servlet.http.HttpServlet`

### setGzipEnabled

    public void setGzipEnabled(boolean gzipEnabled)

  Deprecated.
  Set whether to apply gzip compression to resources if the requesting client supports it.

### setAllowedResourcePaths

    public void setAllowedResourcePaths(java.lang.String allowedResourcePaths)

  Deprecated.
  Set allowed resources as an comma separated String of URL patterns, e.g. "META-INF/** /*.js", The paths may be any Ant-style pattern parsable by AntPathMatcher.

  See Also:
    `AntPathMatcher`

### setCompressedMimeTypes

    public void setCompressedMimeTypes(java.lang.String compressedMimeTypes)

  Deprecated.
  Set comma separated MIME types that should have gzip compression applied. Typically, gzip compression is only useful for text based content. Ant-style patterns are supported, e.g. "text/*".

  See Also:
    `AntPathMatcher`

### setJarPathPrefix

    public void setJarPathPrefix(java.lang.String jarPathPrefix)

  Deprecated.
  Set the default path prefix to apply to resources being served from jar files. Default is "META-INF".

### setCacheTimeout

    public void setCacheTimeout(int cacheTimeout)

  Deprecated.
  Set the number of seconds resources should be cached by the client. Zero disables caching. Default is one year.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD